### Method

# WebKit WebsiteDataManager get_itp_summary_finish

since: 2.30

#### Declaration [src]

    GList*
    webkit_website_data_manager_get_itp_summary_finish (
      WebKitWebsiteDataManager* manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_website_data_manager_get_itp_summary().

Available since: 2.30

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `WebKitITPThirdParty*`

A `GList` of `WebKitITPThirdParty`. You must free the `GList` with `g_list_free()` and unref the `WebKitITPThirdParty`s with `webkit_itp_third_party_unref()` when you’re done with them.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.